summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Pablo Santamaria2010-05-13 00:59:12 +0200
committer Robby Workman2010-05-13 00:59:12 +0200
commit9f918b9cec12c6f79c340b983b571bbd10b3dc2a (patch)
treed2b3eaa12bb46ee48b30ed8956a28b2a845fe0d4 /libraries
parent650b08750cc8771afcfdbd683ee9fa2f991a0873 (diff)
downloadslackbuilds-9f918b9cec12c6f79c340b983b571bbd10b3dc2a.tar.gz
libraries/perl-tk: Added to 13.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/perl-tk/README7
-rw-r--r--libraries/perl-tk/perl-tk-804.028.diff65
-rw-r--r--libraries/perl-tk/perl-tk.SlackBuild96
-rw-r--r--libraries/perl-tk/perl-tk.info10
-rw-r--r--libraries/perl-tk/slack-desc19
5 files changed, 197 insertions, 0 deletions
diff --git a/libraries/perl-tk/README b/libraries/perl-tk/README
new file mode 100644
index 0000000000..29c48f6dfc
--- /dev/null
+++ b/libraries/perl-tk/README
@@ -0,0 +1,7 @@
+perl-tk (Tk graphical interface for Perl)
+
+Perl/Tk is an extension for writing Perl programs with a Graphical User (GUI)
+on both Unix and Windows 95/NT. Tk was originally developed as an extension
+to the Tcl language, for use with the X Window System on Unix. With its port
+to Perl, Tk gives Perl programmers the same control over a graphical desktop
+that Tcl programmers have taken for granted.
diff --git a/libraries/perl-tk/perl-tk-804.028.diff b/libraries/perl-tk/perl-tk-804.028.diff
new file mode 100644
index 0000000000..a559dfaacf
--- /dev/null
+++ b/libraries/perl-tk/perl-tk-804.028.diff
@@ -0,0 +1,65 @@
+diff -rupN Tk-804.028.org/TextList/reindex.pl Tk-804.028.new/TextList/reindex.pl
+--- Tk-804.028.org/TextList/reindex.pl 2007-05-05 15:38:18.000000000 -0300
++++ Tk-804.028.new/TextList/reindex.pl 2009-11-11 18:46:31.000000000 -0200
+@@ -1,4 +1,4 @@
+-#!/bin/perl
++#!/usr/bin/perl
+
+ use lib qw(/home1/gbartels/textlist);
+ use Tk;
+diff -rupN Tk-804.028.org/Tk/FBox.pm Tk-804.028.new/Tk/FBox.pm
+--- Tk-804.028.org/Tk/FBox.pm 2007-05-05 15:37:56.000000000 -0300
++++ Tk-804.028.new/Tk/FBox.pm 2009-11-11 18:46:48.000000000 -0200
+@@ -906,7 +906,7 @@ sub Done {
+ if ($w->cget('-multiple')) {
+ $selectFilePath = [];
+ for my $f (@{ $w->{'selectFile'} }) {
+- push @$selectFilePath, JoinFile($w->_get_select_Path, $f);
++ push @$selectFilePath, JoinFile($w->_get_select_path, $f);
+ }
+ } else {
+ $selectFilePath = JoinFile($w->_get_select_path,
+diff -rupN Tk-804.028.org/pTk/Tcl-pTk Tk-804.028.new/pTk/Tcl-pTk
+--- Tk-804.028.org/pTk/Tcl-pTk 2007-05-05 15:39:02.000000000 -0300
++++ Tk-804.028.new/pTk/Tcl-pTk 2009-11-11 18:48:58.000000000 -0200
+@@ -1,4 +1,4 @@
+-#!/usr/local/bin/perl -w
++#!/usr/bin/perl -w
+ use open IO => ':bytes'; # Avoid UTF-8 issues with some perl5.8.0 (RedHat)
+ use Carp;
+ my $verbose = 0;
+diff -rupN Tk-804.028.org/pTk/mTk/generic/tk.h Tk-804.028.new/pTk/mTk/generic/tk.h
+--- Tk-804.028.org/pTk/mTk/generic/tk.h 2007-05-05 15:41:02.000000000 -0300
++++ Tk-804.028.new/pTk/mTk/generic/tk.h 2009-11-11 18:49:56.000000000 -0200
+@@ -677,17 +677,15 @@ typedef struct Tk_GeomMgr {
+ *
+ *---------------------------------------------------------------------------
+ */
+-#define VirtualEvent (LASTEvent)
+-#define ActivateNotify (LASTEvent + 1)
+-#define DeactivateNotify (LASTEvent + 2)
+-#define MouseWheelEvent (LASTEvent + 3)
+-#define TK_LASTEVENT (LASTEvent + 4)
++#define VirtualEvent (MappingNotify + 1)
++#define ActivateNotify (MappingNotify + 2)
++#define DeactivateNotify (MappingNotify + 3)
++#define MouseWheelEvent (MappingNotify + 4)
++#define TK_LASTEVENT (MappingNotify + 5)
+
+ #define MouseWheelMask (1L << 28)
+-
+ #define ActivateMask (1L << 29)
+ #define VirtualEventMask (1L << 30)
+-#define TK_LASTEVENT (LASTEvent + 4)
+
+
+ /*
+diff -rupN Tk-804.028.org/pTk/mkVFunc Tk-804.028.new/pTk/mkVFunc
+--- Tk-804.028.org/pTk/mkVFunc 2007-05-05 15:38:59.000000000 -0300
++++ Tk-804.028.new/pTk/mkVFunc 2009-11-11 18:49:14.000000000 -0200
+@@ -1,4 +1,4 @@
+-#!/usr/local/bin/perl -w
++#!/usr/bin/perl -w
+ use strict;
+
+
diff --git a/libraries/perl-tk/perl-tk.SlackBuild b/libraries/perl-tk/perl-tk.SlackBuild
new file mode 100644
index 0000000000..379a930c89
--- /dev/null
+++ b/libraries/perl-tk/perl-tk.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for perl-tk (Tk)
+
+# Written by Pablo Santamaria (pablosantamaria@gmail.com)
+# Thanks to Robby Workman for suggestions to improve this script.
+
+PRGNAM=perl-tk
+VERSION=${VERSION:-804.028}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Tk-$VERSION
+tar xvf $CWD/Tk-$VERSION.tar.gz
+cd Tk-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Apply a bunch of patches
+patch -p1 < $CWD/$PRGNAM-$VERSION.diff
+
+# XFT=1 (font manager) support, which gives perl-tk programs the ability to
+# use all fonts accessible from XFT and antialiasing.
+perl Makefile.PL XFT=1 INSTALLDIRS=vendor
+make OPTIMIZE="$SLKCFLAGS"
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+# Relocate man pages
+if [ -d $PKG/usr/share/man ] ; then
+ mkdir -p $PKG/usr/man
+ ( cd $PKG/usr/share
+ mv man ..
+ rmdir $PKG/usr/share )
+fi
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Remove perlocal.pod, .packlist and .bs from $PKG
+( cd $PKG
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+)
+
+# Remove empty directories
+find $PKG -depth -type d -empty -exec rm -rf {} \;
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING Change.log Changes Funcs.doc INSTALL PPM-HowTo README \
+ README.linux ToDo VERSIONS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/perl-tk/perl-tk.info b/libraries/perl-tk/perl-tk.info
new file mode 100644
index 0000000000..3499870687
--- /dev/null
+++ b/libraries/perl-tk/perl-tk.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-tk"
+VERSION="804.028"
+HOMEPAGE="http://search.cpan.org/~srezic/Tk-804.028/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/S/SR/SREZIC/Tk-804.028.tar.gz"
+MD5SUM="7153c1c411b0dd005a0660179e5c5900"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/perl-tk/slack-desc b/libraries/perl-tk/slack-desc
new file mode 100644
index 0000000000..61f7aedd10
--- /dev/null
+++ b/libraries/perl-tk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-tk: perl-tk (Tk graphical interface for Perl)
+perl-tk:
+perl-tk: Perl/Tk is an extension for writing Perl programs with a GUI.
+perl-tk:
+perl-tk: Tk was originally developed as an extension to the Tcl language
+perl-tk: for use with the X Window System on Unix. With its port to perl,
+perl-tk: Tk gives Perl programmers the same control over the graphical
+perl-tk: desktop that Tcl programmers have taken for granted.
+perl-tk:
+perl-tk:
+perl-tk: